gcc -o uAB uAB.c A.c B.c
/tmp/ccjEYLEw.o:(.data+0x0): multiple definition of `a'
/tmp/ccA53Mla.o:(.data+0x0): first defined here
/tmp/ccaBAD4N.o: In function `main':
uAB.c:(.text+0x6): undefined reference to `b'
collect2: error: ld returned 1 exit status

2 Errores: una doble definición y una no-definición. 
